commit:     db23be200a4da3c9065f41cceff3723cde9261e0
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 12 20:55:59 2016 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 13:09:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db23be20

dev-java/jchart2d: New package, required by bt747

Package-Manager: portage-2.2.27

 dev-java/jchart2d/Manifest              |  1 +
 dev-java/jchart2d/jchart2d-3.2.2.ebuild | 40 +++++++++++++++++++++++++++++++++
 dev-java/jchart2d/metadata.xml          | 12 ++++++++++
 3 files changed, 53 insertions(+)

diff --git a/dev-java/jchart2d/Manifest b/dev-java/jchart2d/Manifest
new file mode 100644
index 0000000..e697e8c
--- /dev/null
+++ b/dev-java/jchart2d/Manifest
@@ -0,0 +1 @@
+DIST jchart2d-eclipse-project-3.2.2.zip 3203952 SHA256 
dae0bc6312657a853fdf1b35715df1374436634d389cef58c63a1109ea12c838 SHA512 
aa369b78aced9f7884d51f5298a6772d00cd4003d970e0bb401b717b4bdd2fdd543cf9a382edf7c9a6d1837cedb483a04aa89aac1e66d6e365655e99c76ee812
 WHIRLPOOL 
1f96d480cdc2994f2baf44b106dddebb9c36cb6903c3ee24fc93ea21517a5b0430120b64a48ecd8834e6ada0be281816d358e432c4fb008d8993bfa4ba0818ed

diff --git a/dev-java/jchart2d/jchart2d-3.2.2.ebuild 
b/dev-java/jchart2d/jchart2d-3.2.2.ebuild
new file mode 100644
index 0000000..f564541
--- /dev/null
+++ b/dev-java/jchart2d/jchart2d-3.2.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="A minimalistic realtime charting library for Java"
+HOMEPAGE="http://jchart2d.sourceforge.net";
+SRC_URI="mirror://sourceforge/${PN}/${PN}/sources/${PN}-eclipse-project-${PV}.zip"
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test" # Even the headless tests need a display!?
+
+CDEPEND="dev-java/jide-oss:0
+       dev-java/xmlgraphics-commons:2"
+
+RDEPEND=">=virtual/jre-1.6
+       ${CDEPEND}"
+
+DEPEND=">=virtual/jdk-1.6
+       ${CDEPEND}
+       app-arch/unzip"
+
+JAVA_GENTOO_CLASSPATH="jide-oss,xmlgraphics-commons-2"
+JAVA_SRC_DIR="src"
+
+S="${WORKDIR}/${PN}"
+
+java_prepare() {
+       rm -rv ext/* || die
+
+       # Ant tries and fails to build these outdated bug
+       # demonstrations. Did Ant's globbing behaviour change?
+       rm -v src/*.java || die
+}

diff --git a/dev-java/jchart2d/metadata.xml b/dev-java/jchart2d/metadata.xml
new file mode 100644
index 0000000..306a65a
--- /dev/null
+++ b/dev-java/jchart2d/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Java</name>
+       </maintainer>
+       <longdescription>JChart2D is an minimalistic realtime charting library 
published under the OSI approved GNU LESSER GENERAL PUBLIC LICENSE. It is 
designed for displaying multiple traces consisting of tracepoints. JChart2D is 
centered around a single configureable swing widget: the Chart2D. It is a 
JComponent one can add to a java swing user interface. Therefore basic 
knowledge of java awt and swing and the information provided on this site is 
helpful. If no basic knowledge of swing and awt is given, the example code will 
give a quick entry as well.</longdescription>
+       <upstream>
+               <remote-id type="sourceforge">jchart2d</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to